-- Dekoder pro napis:
--   _  _        _  _   _     _
--  |_ |_| | |  |_ |_| |_  | |_
--  |_ |   | |_ |_ |    _| | |_
--
--  X"0123014205555";

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity segment is
    Port ( DSELECT : in std_logic_vector(3 downto 0);
           DIGIT   : out std_logic_vector(7 downto 0)
          );
end segment;

architecture Behavioral of segment is
begin
	--        abcdefg.	1 = vypnuto, 0 = zapnuto
	DIGIT <= "01100001" when DSELECT = X"0" else -- E
	 		   "00110001" when DSELECT = X"1" else  -- P
			   "10011111" when DSELECT = X"2" else  -- I
			   "11100011" when DSELECT = X"3" else  -- L
			   "01001001" when DSELECT = X"4" else  -- S
            "11111111"; -- when DSELECT = X"5"; -- mezera
end Behavioral;


