library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity test_rotate_vector is
end entity;

architecture TestBench of test_rotate_vector is
component rotate_vector is
   generic (str_len : natural := 12);
   port (
      CLK, RESET : in std_logic;
      MOVE_CHAR : in std_logic;
      OUTPUT : out std_logic_vector(15 downto 0)
      );
end component;
   signal T_CLK, T_RESET, T_MOVE_CHAR : std_logic;
   signal T_OUTPUT : std_logic_vector(15 downto 0);
begin
i_rotate_vector: rotate_vector
   port map (
      CLK => T_CLK,
      RESET => T_RESET,
      MOVE_CHAR => T_MOVE_CHAR,
      OUTPUT => T_OUTPUT
   );

	hodiny:
   process 
   begin
      T_CLK <= '0';
      wait for 50 ns;
      T_CLK <= '1';
      wait for 50 ns;
   end process;
      
move:
	process
	begin
		T_MOVE_CHAR <= '1';
		wait for 100 ns;
		T_MOVE_CHAR <= '0';
		wait for 500 ns;   
  end process;
end;
  
